require 'test_helper'

class ExpressTemplatesTest < ActiveSupport::TestCase
  test "we have a module" do
    assert_kind_of Module, ExpressTemplates
  end

  def assigns
    {}
  end

  test "ExpressTemplates.render renders a template" do
    result = ExpressTemplates.render(self) do
      ul {
        li 'one'
        li 'two'
        li 'three'
      }
    end
    assert_equal "<ul>\n  <li>one</li>\n  <li>two</li>\n  <li>three</li>\n</ul>\n", result
  end

  test "ExpressTemplates.render renders a template with local_assigns" do
    class Foo
      def assigns
        {}
      end

      def local_assigns
        {}
      end
    end

    f = Foo.new

    result = ExpressTemplates.render(f) do
      para { 'All your base are belong to us.' }
    end

    assert_equal "<p>All your base are belong to us.</p>\n", result
  end

end
